Skip to main content
AI Pro
For pricing information, please refer to Domo’s online consumption terms and the credit rate card in your Domo instance (Admin > Company Settings > Credit Utilization > Rate Card) for more information.
Domo’s AI Service Layer enables developers to build AI capabilities into their Domo Apps. In particular, the AI Service Layer currently supports two services from within Apps:
  1. Text Generation
  2. Text-to-SQL
  3. Image-to-Text
Domo allows you to configure which models power each of the services. For more on how that works, see this video. You can also see example usage of the the Text Generation and the Text-to-SQL in the AI Domo Bricks currently available to download for free in the Domo AppStore.

Text Generation


Generates a text response from a text prompt. Code Example The body variable in this post request is an example of a sample request body.
Arguments HTTP Request
Request Body The only required field in the request body is the input string, but you can provide additional properties in the request body to futher customize the text generation service. If you choose to use the promptTemplate property to override the default prompt template, you’ll need to use ${input} into the template string to pass through the input of your prompt.
HTTP Response Returns the prompt used and the responses from the model. If the a model was specified in the request, then modelId will return the model and isCustomerModel will be true.

Text-to-SQL


Generates a SQL query based on a prompt and a DataSet’s schema. Code Example The body variable in this post request is an example of a sample request body.
Arguments HTTP Request
Request Body The only required field in the request body is the input string, but you can provide additional properties in the request body to futher customize the text generation service. If you choose to use the promptTemplate property to override the default prompt template, you’ll need to use ${input} into the template string to pass through the input of your prompt.
HTTP Response Returns the prompt used and the response options from the model. If the a model was specified in the request, then modelId will return the model and isCustomerModel will be true.

Image-to-Text


Generates a text response from an image. Code Example The body variable in this post request is an example of a sample request body.
Arguments HTTP Request
Request Body The required fields in the request body are the input string and the image object. You can provide additional properties in the request body to further customize the OCR service. If you choose to use the promptTemplate property to override the default prompt template, you’ll need to use ${input} in the template string to pass through the input of your prompt.
HTTP Response Returns the prompt used and the response from the model. The response will include the transcribed text from the image, typically within <answer> tags as specified in the system prompt.